main {

}

.block {
    display: flex;
    flex-direction: row;
    width: 100%;
    box-sizing: border-box;
}

.block > img {
    justify-self: center;
    align-self: center;
    width: 20%;
    max-width: 200px;
    height: 20%;
    max-height: 200px;
    margin: 30px;
    box-shadow: 0 0 7px rgba(0, 0, 0, 0.3);
    border-radius: 15px;
}

.info {
    height: 100%;
    flex: 1;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin-right: 30px;
}

.info > h2 {
    margin: 30px auto 10px auto;
    text-align: center;
}

.info > p {
    max-width: 100%;
    margin: 0;
    overflow: hidden;
    text-overflow: ellipsis;
}

.info > button {
    box-sizing: border-box;
    padding: 5px 10px;
    margin: 10px 0 30px 0;
    font-size: 1.2em;
    border: none;
    background: #3BB7F3;
    border-radius: 10px;
    color: #fff;
    font-weight: bold;
    align-self: flex-end;
    box-shadow: 3px 3px 7px rgba(0, 0, 0, 0.3);
    transition: 200ms;
}

.info > button:hover {
    box-shadow: 3px 3px 7px rgba(0, 0, 0, 0.3),
                inset 0 0 15px rgba(0, 0, 0, 0.3);
}

@media screen and (max-width: 760px) {
    .block {
        flex-direction: column;
    }

    .block > img {
        width: 50%;
        height: 50%;
        margin-bottom: 0;
    }

    .info {
        flex-direction: column;
        margin: 30px 20px;
    }

    .info > h2 {
        margin: 0 0 10px 0;
    }

    .info > p {
        margin: 0 10px;
    }
}